html {
  margin: 0;
  padding: 0;
  scroll-behavior: smooth;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

main {
  flex: 1;
}

/* Footer */
.footer-link {
  color: #bbb;
  transition: all 0.3s ease;
}

.footer-link:hover {
  opacity: 0.7;
  transition: all 0.3s ease;
}

/* Sections */

#hero {
  height: 100vh;
  display: flex;
  align-items: center;
  background-size: cover;
}

#scrollTopBtn {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 999;
  width: 50px;
  height: 50px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);

  opacity: 0;
  pointer-events: none;
  transition: opacity 0.3s ease;
}

#scrollTopBtn.show {
  opacity: 1;
  pointer-events: auto;
}

.hover-shadow:hover {
  box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.15) !important;
  transform: translateY(-5px);
}

.hover-scale:hover {
  transform: scale(1.05);
}

.transition {
  transition: all 0.3s ease;
}

.section-border {
  border-top: 3px solid white;
  width: 50px;
  margin-bottom: 1rem;
}

#depoimentosCarousel .carousel-indicators button {
  background-color: gray;
  opacity: 0.7;
}

#depoimentosCarousel .carousel-indicators .active {
  background-color: gray;
  opacity: 1;
}

#depoimentosCarousel .carousel-indicators {
  position: static;
  margin-top: 1rem;
  display: flex;
  justify-content: center;
  gap: 0.5rem;
}
